//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Fire {
/// <summary>
/// Starts a fire:<br /><br />xyz: Location of fire<br />maxChildren: The max amount of times a fire can spread to other objects. Must be 25 or less, or the function will do nothing.<br />isGasFire: Whether or not the fire is powered by gasoline.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6B83617E04503888<br />
/// </para>
/// </remarks>
public static int StartScriptFire(float X, float Y, float Z, int maxChildren, bool isGasFire){
return Function.Call<int>((Hash)0x6B83617E04503888uL, X, Y, Z, maxChildren, isGasFire);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7FF548385680673F<br />
/// </para>
/// </remarks>
public static void RemoveScriptFire(int /* FireId */ fireHandle){
Function.Call((Hash)0x7FF548385680673FuL, fireHandle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF6A9D9708F6F23DF<br />
/// </para>
/// </remarks>
public static int StartEntityFire(int /* Entity */ entity){
return Function.Call<int>((Hash)0xF6A9D9708F6F23DFuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7F0DD2EBBB651AFF<br />
/// </para>
/// </remarks>
public static void StopEntityFire(int /* Entity */ entity){
Function.Call((Hash)0x7F0DD2EBBB651AFFuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x28D3FED7190D3A0B<br />
/// </para>
/// </remarks>
public static bool IsEntityOnFire(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x28D3FED7190D3A0BuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x50CAD495A460B305<br />
/// </para>
/// </remarks>
public static int GetNumberOfFiresInRange(float x, float y, float z, float radius){
return Function.Call<int>((Hash)0x50CAD495A460B305uL, x, y, z, radius);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 1734<br />
/// <b>Native ID:</b> 0x8F390AC4155099BA<br />
/// </para>
/// </remarks>
public static void SetFlammabilityMultiplier(float p0){
Function.Call((Hash)0x8F390AC4155099BAuL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x056A8A219B8E829F<br />
/// </para>
/// </remarks>
public static void StopFireInRange(float x, float y, float z, float radius){
Function.Call((Hash)0x056A8A219B8E829FuL, x, y, z, radius);
}

/// <summary>
/// Returns TRUE if it found something. FALSE if not.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x352A9F6BCF90081F<br />
/// </para>
/// </remarks>
public static bool GetClosestFirePos(ref Vector3 outPosition, float x, float y, float z){
var nativeAssistPointerVar0 = outPosition;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x352A9F6BCF90081FuL, &nativeAssistPointerVar0, x, y, z);
}
outPosition = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// BOOL isAudible = If explosion makes a sound.<br />BOOL isInvisible = If the explosion is invisible or not.<br /><br />explosionType: https://alloc8or.re/gta5/doc/enums/eExplosionTag.txt
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE3AD2BDBAEE269AC<br />
/// </para>
/// </remarks>
public static void AddExplosion(float x, float y, float z, int explosionType, float damageScale, bool isAudible, bool isInvisible, float cameraShake, bool noDamage){
Function.Call((Hash)0xE3AD2BDBAEE269ACuL, x, y, z, explosionType, damageScale, isAudible, isInvisible, cameraShake, noDamage);
}

/// <summary>
/// isAudible: If explosion makes a sound.<br />isInvisible: If the explosion is invisible or not.<br />explosionType: See ADD_EXPLOSION.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x172AA1B624FA1013<br />
/// </para>
/// </remarks>
public static void AddOwnedExplosion(int /* Ped */ ped, float x, float y, float z, int explosionType, float damageScale, bool isAudible, bool isInvisible, float cameraShake){
Function.Call((Hash)0x172AA1B624FA1013uL, ped, x, y, z, explosionType, damageScale, isAudible, isInvisible, cameraShake);
}

/// <summary>
/// isAudible: If explosion makes a sound.<br />isInvisible: If the explosion is invisible or not.<br />explosionType: See ADD_EXPLOSION.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x36DD3FE58B5E5212<br />
/// </para>
/// </remarks>
public static void AddExplosionWithUserVfx(float x, float y, float z, int explosionType, uint explosionFx, float damageScale, bool isAudible, bool isInvisible, float cameraShake){
Function.Call((Hash)0x36DD3FE58B5E5212uL, x, y, z, explosionType, explosionFx, damageScale, isAudible, isInvisible, cameraShake);
}

/// <summary>
/// explosionType: See ADD_EXPLOSION.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2E2EBA0EE7CED0E0<br />
/// </para>
/// </remarks>
public static bool IsExplosionInArea(int explosionType, float x1, float y1, float z1, float x2, float y2, float z2){
return Function.Call<bool>((Hash)0x2E2EBA0EE7CED0E0uL, explosionType, x1, y1, z1, x2, y2, z2);
}

/// <summary>
/// explosionType: See ADD_EXPLOSION.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6070104B699B2EF4<br />
/// </para>
/// </remarks>
public static bool IsExplosionActiveInArea(int explosionType, float x1, float y1, float z1, float x2, float y2, float z2){
return Function.Call<bool>((Hash)0x6070104B699B2EF4uL, explosionType, x1, y1, z1, x2, y2, z2);
}

/// <summary>
/// explosionType: See ADD_EXPLOSION.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xAB0F816885B0E483<br />
/// </para>
/// </remarks>
public static bool IsExplosionInSphere(int explosionType, float x, float y, float z, float radius){
return Function.Call<bool>((Hash)0xAB0F816885B0E483uL, explosionType, x, y, z, radius);
}

/// <summary>
/// explosionType: See ADD_EXPLOSION.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 1290<br />
/// <b>Native ID:</b> 0xB3CD51E3DB86F176<br />
/// </para>
/// </remarks>
public static int GetOwnerOfExplosionInSphere(int explosionType, float x, float y, float z, float radius){
return Function.Call<int>((Hash)0xB3CD51E3DB86F176uL, explosionType, x, y, z, radius);
}

/// <summary>
/// explosionType: See ADD_EXPLOSION, -1 for any explosion type<br />
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA079A6C51525DC4B<br />
/// </para>
/// </remarks>
public static bool IsExplosionInAngledArea(int explosionType, float x1, float y1, float z1, float x2, float y2, float z2, float width){
return Function.Call<bool>((Hash)0xA079A6C51525DC4BuL, explosionType, x1, y1, z1, x2, y2, z2, width);
}

/// <summary>
/// Returns a handle to the first entity within the a circle spawned inside the 2 points from a radius.<br /><br />explosionType: See ADD_EXPLOSION.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Fire<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x14BA4BA137AF6CEC<br />
/// </para>
/// </remarks>
public static int GetOwnerOfExplosionInAngledArea(int explosionType, float x1, float y1, float z1, float x2, float y2, float z2, float radius){
return Function.Call<int>((Hash)0x14BA4BA137AF6CECuL, explosionType, x1, y1, z1, x2, y2, z2, radius);
}

}}
